import axios from '../utils/request'
// 获取列表
export const musicList = (data) => {
  return axios({
    method: 'post',
    url: '/cms/music/list',
    data
  })
}
// 排序
export const musicSort = (id, sort) => {
  return axios({
    url: `/cms/music/sort/${id}/${sort}`
  })
}
// 是否显示
export const musicDisplay = (id, display) => {
  return axios({
    url: `/cms/music/display/${id}/${display}`
  })
}
// 点击删除
export const musicRemove = (id) => {
  return axios({
    url: `/cms/music/remove/${id}`
  })
}
// 新增、编辑
export const musicSave = (data) => {
  return axios({
    method: 'post',
    url: '/cms/music/save',
    data
  })
}
// 通过id获取详情
export const musicDetail = (id) => {
  return axios({
    url: `/cms/music/detail/${id}`
  })
}
